Bug 1408323 - Shutdown behavior is not ideal on encrypted system
Summary: Shutdown behavior is not ideal on encrypted system
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gshutdown
Version: 25
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Xavier Lamien
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-22 22:34 UTC by Allan
Modified: 2017-12-12 10:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:27:16 UTC


Attachments (Terms of Use)

Description Allan 2016-12-22 22:34:44 UTC
Description of problem:
When shutting down the fedora 25 system and there are updates, there is a checkbox to install updates before shutting down. If you check this checkbox,then select shutdown the laptop does not shutdown, it instead restarts to install the update. However, because the laptop is LUKS encrypted, it asks for the passphrase first. This means that the laptops stays on and un-updated until i key in the passphrase even though i wanted to shutdown in the beginning. This is not ideal as you cannot click shutdown and walk off into the sunset, you wake up to a laptop that ran out of charge waiting for you.  

Version-Release number of selected component (if applicable):N/A


How reproducible:
Shut down from the shut down menu with updates. PC does not shut down it instead restarts. 


Steps to Reproduce:
1.Encrypt hard drive with LUKS at Fedora 25 install.
2.Get some updates
3.Click on the power options in the top right 
4.Check the little box to install the updates before switching off
5.Select Shut Down (not Restart)
Actual results:
PC restarts, asks for passcode, updates, THEN FINALLY shuts down. However is passcode isn't presented the updates are stuck. 

Expected results:
When you check the updates and select shut down instead of restart, it should bring the administrator password popup. After the password it should then update the system and then finally after the updates, shut down. System is off, no restarts required. 

Additional info:N/A

Comment 1 Richard Ryniker 2016-12-23 15:20:21 UTC
This does not look like something that can be fixed without introduction of possibly serious security issues.  However, it does look like it can be avoided by detection then selection by the user of a desired action.

At step 5 (above) the dialogue routine can examine the boot configuration for offline update to learn whether LUKS pass phrases will be necessary. If yes, a message then instructs the user either to choose Restart (to reboot and perform the update now) or to confirm Shut Down and do that immediately without updates, which then will be performed at the next boot.

Comment 2 Allan 2016-12-26 01:58:34 UTC
(In reply to Richard Ryniker from comment #1)
> This does not look like something that can be fixed without introduction of
> possibly serious security issues.  However, it does look like it can be
> avoided by detection then selection by the user of a desired action.
> 
> At step 5 (above) the dialogue routine can examine the boot configuration
> for offline update to learn whether LUKS pass phrases will be necessary. If
> yes, a message then instructs the user either to choose Restart (to reboot
> and perform the update now) or to confirm Shut Down and do that immediately
> without updates, which then will be performed at the next boot.

I think my expected result described above would be better, because
1. You've updated
2. You've shut down not restarted
Whereas what you are describing won't update until way later when you are ready to restart. I can already see a concern in that, will the PC remember to update? Will the updates still be the newest? 
Regards.

Comment 3 Richard Ryniker 2016-12-26 14:19:48 UTC
It looks like the
4.Check the little box to install the updates before switching off
mechanism is intended to give a non-privileged user the ability to update a machine.  In this case, your expected result "it should bring the administrator password popup" is not reasonable - the current user may not be an administrator.

I suggest the use of "offline update" mode is intended to avoid possible conflicts between updated and currently running code that an administrator may handle, but the unprivileged user has neither the knowledge nor the authority to address.

Offline update is already a fragile mechanism in the sense that it is just one of multiple factors that control the boot process - the next boot might start a different operating system.

The question of what updates should actually be installed when offline update runs can have multiple answers, but "the updates staged at the time offline update was requested" makes more sense to me than "whatever updates are available when offline update runs."  If more updates are available when offline update runs, another iteration through the update process can install them if they are desired.

Comment 4 Allan 2016-12-26 20:56:14 UTC
I see what you're saying.
Probably the administrator check is not a must, but it is probably a good idea since the system is still live.
Or maybe it would go into the shutdown blackscreen, and update there before shutting down. 
The idea being it updates first, then shuts down, no restart.

Comment 5 Fedora End Of Life 2017-11-16 18:50:02 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2017-12-12 10:27:16 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.